//@ts-ignore
import ltRest from "lt-request";

const LtRest = new ltRest({
    service: "FormularService",
});

export default {
    LoadModeXml: function (id:string|number) {
        //获取配方基础配置信息5个参数
        const sendData =
        {
            "IDs": [id],
            "request": {
                "PageSize": 0,
                "Page": 0,
                "Conditions": [

                ]
            },
            "BeginTime": "",
            "EndTime": ""
        }


        const promise = LtRest.post("LoadFiles", sendData);
        return promise;
    },

    delModelXML: function (data:any) {
        const promise = LtRest.delete("DeleteFile", { data: data });
        return promise;
    },

    saveModelXML: function (data:string) {
        const promise = LtRest.post("SaveFile", data);
        return promise;
    },

};
